############################################################################
#
#  Copyright (C) 1995 Microsoft Corporation.  All Rights Reserved.
#
#  File:        watsdk.mk
#  Content:     Rules for building the components of the SDK.
#               For use with WATCOM C/C++
#
############################################################################

!ifndef GSDKROOT
GSDKROOT=..\..\..
!endif

#############################################################################
#
# Set up include & lib path
#
#############################################################################
INCLUDE=..;$(GSDKROOT)\inc;..\..\misc;..\..\inc;$(%WATCOM)\h\nt;$(%WATCOM)\h
LIB=$(GSDKROOT)\lib;$(WATCOM)\LIB386\NT;$(LIB)

#############################################################################
#
# new suffixes
#
#############################################################################
.EXTENSIONS:
.EXTENSIONS:.exe .dll
.EXTENSIONS:.obj .res
.EXTENSIONS:.c .cpp .asm .h  .rc

#############################################################################
#
# C compiler definitions
#
#############################################################################
#CC      =wcl386
CC      =wcc386
CPPC    =wpp386
CFLAGS  += -W1 #-c
!ifndef LOGO
CFLAGS  += -zq -i$(INCLUDE)
!endif
!ifeq NAME dptest
CFLAGS += -bm
!endif

#############################################################################
#
# Linker definitions
#
#############################################################################
LINK    =wlink 
!ifndef LOGO
LFLAGS  += option quiet option map
!endif

#############################################################################
# 
# resource compiler definitions
#
#############################################################################
RCFLAGS += -I$(INCLUDE)
RCFLAGS += -DWIN32 -DIS_32 -D__WATCOMC__=1050
RC = wrc

#############################################################################
#
# assembler definitions
#
#############################################################################
ASM = ml
AFLAGS  +=-DIS_32 -DWIN32
AFLAGS  +=-W3 -WX -Zd -c -Cx -DMASM6

#############################################################################
#
# librarian definitions
#
#############################################################################
LIBEXE = wlib

#############################################################################
#
# targets
#
#############################################################################

goal:   $(GOALS) .SYMBOLIC
        @%null

lbprintf.obj: ..\..\misc\lbprintf.c
	*$(CC) -D_WIN32 $(CFLAGS) -bt=NT -fhq ..\..\misc\lbprintf.c
	
dsutil.obj: ..\..\misc\dsutil.c
	*$(CC) -D_WIN32 $(CFLAGS) -bt=NT -fhq ..\..\misc\dsutil.c
	
ddutil.obj: .\..\misc\ddutil.cpp
	*$(CPPC) -D_WIN32 $(CFLAGS) -bt=NT -fhq ..\..\misc\ddutil.cpp		

.c: ..;..\..\misc

.c.obj:
	*$(CC) -D_WIN32 $(CFLAGS) -bt=NT $[* -fhq
	
.cpp : ..;..\..\misc

.cpp.obj:
	*$(CPPC) -D_WIN32 $(CFLAGS) -bt=NT $[* -fhq
	   
.asm : ..

.asm.obj:
        $(ASM) $(AFLAGS) $[*.asm
        
.rc : ..

.rc.res:
        $(RC) $(RCFLAGS) -bt=NT -r -fo=$^. $[*.rc
        
$(NAME).lnk : ..\$(MAKENAME) ..\..\watsdk.mk ..\..\watbld.mk
    @%write $(NAME).lnk debug all
    @%append $(NAME).lnk system $(SYS)
    @%append $(NAME).lnk op map
    @%append $(NAME).lnk op st=64k
    @%append $(NAME).lnk libpath ..\..\..\lib
    @%append $(NAME).lnk name $(NAME).exe
    @for %i in ($(OBJS)) do @%append $(NAME).lnk file %i
    @for %i in ($(LIBS)) do @%append $(NAME).lnk lib %i
